# Uses of Class
java.lang.module.ModuleDescriptor

Packages that use ModuleDescriptor
Package
Description
java.lang
Provides classes that are fundamental to the design of the Java programming language.
java.lang.module
Classes to support module descriptors and creating configurations of modules by means of resolution and service binding.

## Uses of ModuleDescriptor in java.lang

Methods in java.lang that return ModuleDescriptor
Modifier and Type
Method
Description
`ModuleDescriptor`
Module.`getDescriptor()`
Returns the module descriptor for this module or `null` if this module is an unnamed module.

## Uses of ModuleDescriptor in java.lang.module

Methods in java.lang.module that return ModuleDescriptor
Modifier and Type
Method
Description
`ModuleDescriptor`
ModuleDescriptor.Builder.`build()`
Builds and returns a `ModuleDescriptor` from its components.
`final ModuleDescriptor`
ModuleReference.`descriptor()`
Returns the module descriptor.
`static ModuleDescriptor`
ModuleDescriptor.`read(InputStream in)`
Reads the binary form of a module declaration from an input stream as a module descriptor.
`static ModuleDescriptor`
ModuleDescriptor.`read(InputStream in, Supplier<Set<String>> packageFinder)`
Reads the binary form of a module declaration from an input stream as a module descriptor.
`static ModuleDescriptor`
ModuleDescriptor.`read(ByteBuffer bb)`
Reads the binary form of a module declaration from a byte buffer as a module descriptor.
`static ModuleDescriptor`
ModuleDescriptor.`read(ByteBuffer bb, Supplier<Set<String>> packageFinder)`
Reads the binary form of a module declaration from a byte buffer as a module descriptor.
Methods in java.lang.module with parameters of type ModuleDescriptor
Modifier and Type
Method
Description
`int`
ModuleDescriptor.`compareTo(ModuleDescriptor that)`
Compares this module descriptor to another.
Constructors in java.lang.module with parameters of type ModuleDescriptor
Modifier
Constructor
Description
`protected`
`ModuleReference(ModuleDescriptor descriptor, URI location)`
Constructs a new instance of this class.